/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
/**
 * Interface for create dataset API
 * @export
 */
export interface ICreateDataSetOptions {
    /**
     * The dataset name
     * @type {string}
     */
    name: string;
    /**
     * The volume serial
     * @type {string}
     */
    volumeSerial?: string;
    /**
     * The device type
     * @type {string}
     */
    /**
     * The data set organization
     * @type {string}
     */
    dataSetOrganization?: string;
    /**
     * The unit of space allocation
     * @type {string}
     */
    allocationUnit?: string;
    /**
     * The primary space allocation
     * @type {number}
     */
    primary: number;
    /**
     * The secondary space allocation
     * @type {number}
     */
    secondary?: number;
    /**
     * The number of directory blocks
     * @type {number}
     */
    directoryBlocks?: number;
    /**
     * The average block
     * @type {number}
     */
    averageBlock?: number;
    /**
     * The record format
     * @type {string}
     */
    recordFormat?: string;
    /**
     * The block size
     * @type {number}
     */
    blockSize?: number;
    /**
     * The record length
     * @type {number}
     */
    recordLength: number;
    /**
     * The storage class
     * @type {string}
     */
    storeclass?: string;
    /**
     * The management class
     * @type {string}
     */
    mgntclass?: string;
    /**
     * The data class
     * @type {string}
     */
    dataclass?: string;
    /**
     * The data set type
     * @type {string}
     */
    dsntype?: string;
    /**
     * The indicator that we need to show the attributes
     * @type {boolean}
     */
    showAttributes?: boolean;
    /**
     * The abstraction of Allocation unit and Primary Space
     * @type {string}
     */
    size?: string;
}
