/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { Session } from '@zowe/imperative';
import { IRestApiResponse } from '../../doc/IRestApiResponse';
import { IMigrateOptions } from './doc/IMigrateOptions';
/**
 * This class holds helper functions that are used to recall files through the
 * RSE APIs.
 */
export declare class HMigrate {
    /**
     *
     * @param {Session}               session      RSE connection info
     * @param {string}                dataSetName  The name of the data set to recall
     *
     * @returns {Promise<IRestApiResponse>} A response indicating the status of the recalling
     *
     * @throws {ImperativeError} Data set name must be specified as a non-empty string
     * @throws {Error} When the API throws an error
     *
     */
    static dataSet(session: Session, dataSetName: string, options?: Partial<IMigrateOptions>): Promise<IRestApiResponse>;
    /**
     * Get Log
     * @returns {Logger} applicationLogger.
     */
    private static get log();
}
