/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
export interface IUploadResult {
    /**
     * Upload status
     */
    success: boolean;
    /**
     * Name of input file
     */
    from: string;
    /**
     * Name of data set
     */
    to: string;
    /**
     * Optional, any error encounter while uploading the data
     */
    error?: any;
    /**
     * Optional, etag set when writing the file
     */
    etag?: string;
    /**
     * Optional, encoding set when writing the file
     */
    encoding?: any;
    /**
     * Optional, binary setting when writing the file
     */
    binary?: boolean;
}
