/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { Session, IHandlerParameters } from '@zowe/imperative';
import { RestBaseHandler } from '../../../RestBaseHandler';
import { IRestApiResponse } from '../../../../api/doc/IRestApiResponse';
/**
 * "zos-jobs list spool-files" command handler. Outputs a table of spool files.
 * @export
 * @class SubmitJobHandler
 * @implements {ICommandHandler}
 */
export default class SpoolFilesHandler extends RestBaseHandler {
    /**
     * Command handler process - invoked by the command processor to handle the "zos-jobs list spool-files"
     * @param {IHandlerParameters} params - Command handler parameters
     * @returns {Promise<IRestApiResponse>} - Fulfilled when the command completes successfully OR rejected with imperative error
     * @memberof SubmitDataSetHandler
     */
    processWithSession(commandParameters: IHandlerParameters, session: Session): Promise<IRestApiResponse>;
}
