/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,t,a,n){void 0===n&&(n=a),Object.defineProperty(e,n,{enumerable:!0,get:function(){return t[a]}})}:function(e,t,a,n){void 0===n&&(n=a),e[n]=t[a]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var a in e)"default"!==a&&Object.prototype.hasOwnProperty.call(e,a)&&__createBinding(t,e,a);return __setModuleDefault(t,e),t},__awaiter=this&&this.__awaiter||function(e,t,a,n){return new(a||(a=Promise))((function(s,c){function o(e){try{r(n.next(e))}catch(e){c(e)}}function i(e){try{r(n.throw(e))}catch(e){c(e)}}function r(e){var t;e.done?s(e.value):(t=e.value,t instanceof a?t:new a((function(e){e(t)}))).then(o,i)}r((n=n.apply(e,t||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.ZappDocumentsCache=void 0;const fs=__importStar(require("fs")),path=__importStar(require("path")),os=__importStar(require("os")),zapp_document_instance_1=require("./zapp-document-instance");class ZappDocumentsCache{static getZappDocument(e){if(!e)return;const t=this.normalizePath(e);return this.documentsCache.has(t)?(this.numberDocsFound++,this.documentsCache.get(t)):void 0}static loadZappDocument(e){return __awaiter(this,void 0,void 0,(function*(){if(!e)return;const t=this.normalizePath(e);if(this.documentsCache.has(t))return this.numberDocsFound++,this.documentsCache.get(t);const a=yield zapp_document_instance_1.ZappDocumentInstance.createFromFile(t);return this.documentsCache.set(t,a),this.addWatch(t),this.numberDocsAdded++,a}))}static clearZappDocument(e){if(!e)return;const t=this.normalizePath(e),a=path.dirname(t);this.workspacesMap.has(a)&&this.workspacesMap.delete(a),this.documentsCache.has(t)&&(this.documentsCache.delete(t),this.numberDocsRemoved++)}static clearCache(){this.documentsWatcherMap.forEach((e=>{e.close()})),this.documentsWatcherMap.clear(),this.workspacesMap.clear(),this.documentsCache.clear()}static getZappDocumentInWorkspace(e){if(!e)return;const t=this.normalizePath(e),a=this.workspacesMap.get(t);return a?this.getZappDocument(a):void 0}static loadZappDocumentInWorkspace(e){return __awaiter(this,void 0,void 0,(function*(){const t=this.normalizePath(e),a=zapp_document_instance_1.ZappDocumentInstance.findZappFile(t);if(a){const e=yield this.loadZappDocument(a.path);return this.workspacesMap.set(t,a.path),e}}))}static getZappWatcherForWorkspace(e){var t;const a=this.normalizePath(e),n=this.getZappDocumentInWorkspace(a);if(null===(t=null==n?void 0:n.file)||void 0===t?void 0:t.path)return this.documentsWatcherMap.get(n.file.path)}static startZappCreationWatcherForWorkspace(e,t){const a=this.normalizePath(e);if(zapp_document_instance_1.ZappDocumentInstance.findZappFile(a))return!1;if(a&&fs.existsSync(a)){const e=fs.watch(a,{persistent:!1,recursive:!1,encoding:"utf8"},((a,n)=>{if("rename"===a&&zapp_document_instance_1.ZappDocumentInstance.isZappFileName(n))return e.close(),t(n)}));return void 0!==e}}static addWatch(e){if(!e)return;const t=this.normalizePath(e),a=fs.watch(t,{persistent:!1,encoding:"utf8"},((e,a,n=t)=>{var s;"change"!==e&&"rename"!==e||(this.clearZappDocument(n),null===(s=this.documentsWatcherMap.get(n))||void 0===s||s.close(),this.documentsWatcherMap.delete(n),this.numberWatchEvents++)}));a&&(this.documentsWatcherMap.set(t,a),this.numberDocsWatched++)}static getCacheStats(){return{documentsCacheSize:this.documentsCache.size,documentsWatcherMapSize:this.documentsWatcherMap.size,workspacesMapSize:this.workspacesMap.size,numberDocsAdded:this.numberDocsAdded,numberDocsRemoved:this.numberDocsRemoved,numberDocsFound:this.numberDocsFound,numberDocsWatched:this.numberDocsWatched,numberWatchEvents:this.numberWatchEvents}}static normalizePath(e){if(!e||!path.isAbsolute(e))return e;let t=path.normalize(e);if("win32"===os.platform()){const e=path.basename(t);if(zapp_document_instance_1.ZappDocumentInstance.isZappFileName(e)){const a=path.dirname(t);t=path.join(a.toUpperCase(),e)}else t=t.toUpperCase()}return t}}exports.ZappDocumentsCache=ZappDocumentsCache,ZappDocumentsCache.documentsCache=new Map,ZappDocumentsCache.documentsWatcherMap=new Map,ZappDocumentsCache.workspacesMap=new Map,ZappDocumentsCache.numberDocsAdded=0,ZappDocumentsCache.numberDocsRemoved=0,ZappDocumentsCache.numberDocsFound=0,ZappDocumentsCache.numberDocsWatched=0,ZappDocumentsCache.numberWatchEvents=0;