/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";const RestSessionUtils_1=require("./cli/RestSessionUtils"),config={commandModuleGlobs:["**/cli/*/*.definition!(.d).*s"],pluginHealthCheck:__dirname+"/healthCheck.Handler",pluginSummary:"IBM RSE API Plug-in for Zowe CLI",pluginAliases:["rse"],rootCommandDescription:"Welcome to the IBM RSE API Plug-in for Zowe CLI!\n\n",productDisplayName:"IBM RSE API Plug-in for Zowe CLI",name:"rse-api-for-zowe-cli",apimlConnLookup:[{apiId:"com.ibm.rse",gatewayUrl:"api/v1",connProfType:"rse"}],profiles:[{type:"rse",schema:{type:"object",title:"IBM RSE API Zowe Profile",description:"A profile to issue commands to a z/OS system with a working Zowe REST server,Mediation Layer, or IBM RSE (Remote System Explorer) API server installation.",properties:{host:{type:"string",optionDefinition:RestSessionUtils_1.RestSessionUtils.REST_OPTION_HOST},port:{type:"number",optionDefinition:RestSessionUtils_1.RestSessionUtils.REST_OPTION_PORT,includeInTemplate:!0},user:{type:"string",secure:!0,optionDefinition:RestSessionUtils_1.RestSessionUtils.REST_OPTION_USER},password:{type:"string",secure:!0,optionDefinition:RestSessionUtils_1.RestSessionUtils.REST_OPTION_PASSWORD},rejectUnauthorized:{type:"boolean",optionDefinition:RestSessionUtils_1.RestSessionUtils.REST_OPTION_REJECT_UNAUTHORIZED},basePath:{type:"string",optionDefinition:RestSessionUtils_1.RestSessionUtils.REST_OPTION_BASE_PATH,includeInTemplate:!0},protocol:{type:"string",optionDefinition:RestSessionUtils_1.RestSessionUtils.REST_OPTION_PROTOCOL,includeInTemplate:!0},encoding:{type:"string",optionDefinition:RestSessionUtils_1.RestSessionUtils.REST_OPTION_ENCODING},tokenType:{type:"string",optionDefinition:RestSessionUtils_1.RestSessionUtils.REST_OPTION_TOKEN_TYPE},tokenValue:{type:"string",secure:!0,optionDefinition:RestSessionUtils_1.RestSessionUtils.REST_OPTION_TOKEN_VALUE}},required:[]},createProfileExamples:[{options:"myRseApiProfile --host zos123 --port 6800 --user ibmuser --pass myp4ss --bp rseapi --protocol http --ru false",description:"Create an RSE API profile named 'myRseApiProfile' to connect to z/OS using the RSE API server at host zos123 that runs on port 6800 and has a base path of 'rseapi' and uses the 'http' protocol. An example base URL to RSE API would be: 'http://zos123:6800/rseapi/api/v1/'"},{options:"myZoweRestProfile --host zos123 --port 8443 --user ibmuser --pass myp4ss --ru false --protocol https --ec IBM-285",description:"Create a profile named 'myZoweRestProfile' to connect to z/OS using the Zowe REST APIs at host zos123 that runs the Zowe REST API server on port 8443, requires a TLS handshake using 'https' with SSL certificates, and has a default encoding of IBM-285. An example base URL to Zowe REST API would be: 'https://zos123:6800/api/v1/'"}]}]};module.exports=config;